Bug 207666 - [LSPP Audit] auditctl doesn't reject exclude rules with multiple msgtypes
[LSPP Audit] auditctl doesn't reject exclude rules with multiple msgtypes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: audit (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Grubb
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-22 09:16 EDT by Steve Grubb
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-19 10:50:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2006-09-22 09:16:25 EDT
Description of problem:
This rule:

auditctl -a exclude,always -F msgtype=PATH -F msgtype=CWD

doesn't work as expected. msgtypes are anded by the kernel which means that
instead of suppressing the message, they are output. It should be 1 rule, 1
msgtype to work correctly.

Version-Release number of selected component (if applicable):
1.2.7

How reproducible:
always

Steps to Reproduce:
1. see above rule
Comment 1 Steve Grubb 2006-10-05 13:18:05 EDT
This was fixed in audit-1.2.8. Thanks for reporting the problem.
Comment 2 James Laska 2006-12-14 08:07:56 EST
# rpm -q audit
audit-1.3.1-1.el5

# auditctl -a exclude,always -F msgtype=PATH -F msgtype=CWD
Only one msgtype may be given per rule

Is this the expected result?
Comment 3 Steve Grubb 2006-12-14 08:40:28 EST
Yes.
Comment 4 Jay Turner 2006-12-19 10:50:59 EST
audit-1.3.1-1.el5 included in 20061218.1 trees.

Note You need to log in before you can comment on or make changes to this bug.